diff --git a/src/bin/pg_basebackup/t/010_pg_basebackup.pl b/src/bin/pg_basebackup/t/010_pg_basebackup.pl
index b605fa9..eb5f047 100644
--- a/src/bin/pg_basebackup/t/010_pg_basebackup.pl
+++ b/src/bin/pg_basebackup/t/010_pg_basebackup.pl
@@ -168,8 +168,8 @@ my $lsn = psql 'postgres', q{SELECT restart_lsn FROM pg_replication_slots WHERE
 is($lsn, '', 'restart LSN of new slot is null');
 command_ok([ 'pg_basebackup', '-D', "$tempdir/backupxs_sl", '-X', 'stream', '-S', 'slot1' ],
 	'pg_basebackup -X stream with replication slot runs');
-$lsn = psql 'postgres', q{SELECT restart_lsn FROM pg_replication_slots WHERE slot_name = 'slot1'};
-like($lsn, qr!^0/[0-9A-Z]{8}$!, 'restart LSN of slot has advanced');
+$lsn = psql 'postgres', q{SELECT pg_xlogfile_name(restart_lsn) FROM pg_replication_slots WHERE slot_name = 'slot1'};
+like($lsn, qr!^[0-9A-F]{24}$!, 'restart LSN of slot has advanced');
 
 command_ok([ 'pg_basebackup', '-D', "$tempdir/backupxs_sl_R", '-X', 'stream', '-S', 'slot1', '-R' ],
 	'pg_basebackup with replication slot and -R runs');
